Package org.apache.sling.query.impl.iterator

## Class AbstractIterator<T>

- java.lang.Object
- - org.apache.sling.query.impl.iterator.AbstractIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

Direct Known Subclasses:
  `AlternativeIterator`, `BfsTreeIterator`, `DescendantsIterator`, `DfsTreeIterator`, `EmptyElementFilter`, `ExpandingIterator`, `FilteringIterator`, `JcrQueryIterator`, `LastIterator`, `MergingIterator`, `ParentsIterator`, `ReverseIterator`, `SiblingsIterator`, `SliceIterator`, `SuppIterator`, `UniqueIterator`, `WarningIterator`

    public abstract class AbstractIterator<T>
    extends Object
    implements Iterator<T>

### Constructor Summary

Constructors
`AbstractIterator()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract T` `getElement()`
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### AbstractIterator

    public AbstractIterator()

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### getElement

    protected abstract T getElement()